summaryrefslogtreecommitdiffstats
path: root/python/rst2pdf
diff options
context:
space:
mode:
author Vijay Marcel2024-02-13 03:56:05 +0100
committer Willy Sudiarto Raharjo2024-02-13 05:39:30 +0100
commit60ad32d63c020257e437896bc7cd8c02a55b48af (patch)
tree4730747afae0165d6e3b7ad302e971617b3aaa5c /python/rst2pdf
parenta2c3a94d0a4424e25210091039aa498593174437 (diff)
downloadslackbuilds-60ad32d63c020257e437896bc7cd8c02a55b48af.tar.gz
python/rst2pdf: Updated for version 0.101.
Signed-off-by: Willy Sudiarto Raharjo <willysr@slackbuilds.org>
Diffstat (limited to 'python/rst2pdf')
-rw-r--r--python/rst2pdf/rst2pdf.SlackBuild8
-rw-r--r--python/rst2pdf/rst2pdf.info6
2 files changed, 7 insertions, 7 deletions
diff --git a/python/rst2pdf/rst2pdf.SlackBuild b/python/rst2pdf/rst2pdf.SlackBuild
index 54fb4997ca..d86c66624c 100644
--- a/python/rst2pdf/rst2pdf.SlackBuild
+++ b/python/rst2pdf/rst2pdf.SlackBuild
@@ -2,7 +2,7 @@
# Slackware build script for rst2pdf
-# Copyright 2022-2023 Vijay Marcel
+# Copyright 2022-2024 Vijay Marcel
# All rights reserved.
#
# Redistribution and use of this script, with or without modification, is
@@ -25,7 +25,7 @@
cd $(dirname $0) ; CWD=$(pwd)
PRGNAM=rst2pdf
-VERSION=${VERSION:-0.100}
+VERSION=${VERSION:-0.101}
BUILD=${BUILD:-1}
TAG=${TAG:-_SBo}
PKGTYPE=${PKGTYPE:-tgz}
@@ -72,13 +72,13 @@ cp -a rst2pdf.1 $PKG/usr/man/man1/
cd ..
find $PKG -print0 | xargs -0 file | grep -e "executable" -e "shared object" | grep ELF \
- | cut -f 1 -d : | xargs strip --strip-unneeded 2> /dev/null || true
+ | cut -f 1 -d : | xargs strip --strip-unneeded --remove-section=.comment --remove-section=.note 2> /dev/null || true
find $PKG/usr/man -type f -exec gzip -9 {} \;
for i in $( find $PKG/usr/man -type l ) ; do ln -s $( readlink $i ).gz $i.gz ; rm $i ; done
mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
-cp -a CHANGES.rst CODE_OF_CONDUCT.rst Contributors.txt LICENSE.txt MAINTAINERS.rst PKG-INFO README.rst $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a CHANGES.rst CODE_OF_CONDUCT.rst Contributors.txt LICENSE.txt MAINTAINERS.rst ISSUE_TEMPLATE.md CONTRIBUTING.rst README.rst $PKG/usr/doc/$PRGNAM-$VERSION
cd doc
cp -a manual.rst gen_docs.sh rst2html-manual.py $PKG/usr/doc/$PRGNAM-$VERSION
cd ..
diff --git a/python/rst2pdf/rst2pdf.info b/python/rst2pdf/rst2pdf.info
index 05b60716a1..5c0cb31b34 100644
--- a/python/rst2pdf/rst2pdf.info
+++ b/python/rst2pdf/rst2pdf.info
@@ -1,8 +1,8 @@
PRGNAM="rst2pdf"
-VERSION="0.100"
+VERSION="0.101"
HOMEPAGE="https://rst2pdf.org"
-DOWNLOAD="https://pypi.io/packages/source/r/rst2pdf/rst2pdf-0.100.tar.gz"
-MD5SUM="31960321d8c4f304850a13a4dad0a3a6"
+DOWNLOAD="https://pypi.io/packages/source/r/rst2pdf/rst2pdf-0.101.tar.gz"
+MD5SUM="a9b1c2b7efe8c508307b851d743e75b2"
DOWNLOAD_x86_64=""
MD5SUM_x86_64=""
REQUIRES="python3-reportlab python-smartypants python-importlib_metadata"